{% extends 'base.html.twig' %}



{% block body %}
    {% import 'default/_object_actions_macro.html.twig' as _object_actions_macro %}
    <div class="container-fluid my-4">
        <div class="row">
            <div class="col">

                <ul class="nav nav-pills">


                    <li class="nav-item">
                        <a href="{{ path('homepage') }}" class="btn btn-outline-info">
                            <i class="bi bi-house"></i>
                        </a>
                    </li>
                </ul>
            </div>
            <div class="col-auto">
                {% include 'default/_search_area.html.twig' %}
            </div>
            <div class="col-auto">
                {% include 'default/_login_button.html.twig' %}
            </div>
        </div>


        <ul class="list-group my-4">
            {% for item in results %}
                <li class="list-group-item d-flex justify-content-between align-items-start">
                    <div class="me-auto">
                        {% if item.type=='folder' %}
                            <a href="{{ path('folders',{'folderId': item.id}) }}" class="text-decoration-none">
                                <i class="bi bi-folder"></i>
                                {{ item.title }}
                            </a>
                            {% if frontend_show_description and item.description|length>0 %}
                                <br>
                                {{ item.description }}
                            {% endif %}

                        {% endif %}

                        {% if item.type=='document' %}
                            <a data-bs-toggle="offcanvas" href="#offcanvasShow" aria-controls="offcanvasShow"
                               class="text-decoration-none btnShow" data-id="{{ item.id }}" data-download-url="{{ path('app_document_download',{'documentId': item.id}) }}">
                                <i class="bi bi-filetype-{{ item.object.mediafile.extension }}"></i> {{ item.title }}
                            </a>
                            <a href="{{ path('app_document_download',{'documentId': item.id}) }}"
                               class="text-decoration-none">
                                <i class="bi bi-download"></i>
                            </a>

                            {% if frontend_show_description and item.description|length>0 %}
                                <br>
                                {{ item.description }}
                            {% endif %}
                        {% endif %}

                        {% if item.type=='link' %}

                            <a href="{{ path('app_link_goto',{'linkId': item.id}) }}"
                               class="text-decoration-none">
                                <i class="bi bi-link"></i> {{ item.title }}
                            </a>

                            {% if frontend_show_description and item.description|length>0 %}
                                <br>
                                {{ item.description }}
                            {% endif %}



                        {% endif %}
                        {% if is_granted('edit', item.object) %}
                            {{ _object_actions_macro.threeDots(item.type,item.id) }}
                            {{ _object_actions_macro.linkModal(item.type,item.id,item.object.slug) }}
                            {{ _object_actions_macro.permissionModal(item.type,item.id) }}
                        {% endif %}
                        {{ _object_actions_macro.tags(item.object.tags) }}
                    </div>
                    <div>

                        {% for path in item.path %}
                            <a href="{{ path('folders',{'folderId': path.id}) }}" class="text-decoration-none">
                                {% if path.title=='*** ROOT ***' %}
                                    Home
                                {% else %}
                                    {{ path.title }}
                                {% endif %}
                            </a>
                            {% if not loop.last %} > {% endif %}
                        {% endfor %}
                    </div>
                </li>

            {% endfor %}


        </ul>
    </div>


    <div class="offcanvas offcanvas-end" tabindex="-1" id="offcanvasShow" aria-labelledby="offcanvasShowLabel">
        <div class="offcanvas-header">
            <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas" aria-label="Close"></button>
        </div>
        <div class="offcanvas-body">
            <ul class="list-unstyled">
                <li><i class="bi bi-calendar-week"></i> {% trans %}Created at:{% endtrans %} <span id="showIframe-created"></span></li>
                <li><i class="bi bi-calendar-week"></i> {% trans %}Updated at:{% endtrans %} <span id="showIframe-created"></span></li>
                <li>
                    <a href="" class="text-decoration-none" id="showIframe-download-url">
                        <i class="bi bi-download"></i> {% trans %}Download{% endtrans %}
                    </a>
                </li>
            </ul>
            <iframe width="100%" height="350" src="" id="showIframe"></iframe>
        </div>
    </div>

{% endblock %}


{% block javascripts %}
    {{ parent() }}
    <script>
        $(document).on('click', '.btnShow', function (e) {
            objectId = e.target.getAttribute('data-id');
            urlForDates = "{{ path('app_document_get_dates',{'documentId':'__id__'}) }}".replace('__id__', objectId);
            urlDownload = "{{ path('app_document_download',{'documentId':'__id__'}) }}".replace('__id__', objectId);
            urlShow = "{{ path('app_document_show',{'documentId':'__id__'}) }}".replace('__id__', objectId);
            $('#showIframe-download-url').attr('href',urlDownload);
            $('#showIframe').attr('src',urlShow);
            $.ajax({
                url: urlForDates,
                success: function (dates) {
                    $('#showIframe-created').html(dates.created);
                    $('#showIframe-updated').html(dates.created);
                }
            })
        });

    </script>
{% endblock %}